import { html as p } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as d } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (i, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, o) : t, n = i.length - 1, a; n >= 0; n--)
    (a = i[n]) && (e = (r ? a(t, o, e) : a(e)) || e);
  return r && e && v(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--calendarAdd", this.class = "c-pieIcon c-pieIcon--calendarAdd", this.name = "IconCalendarAdd";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--calendarAdd"><path d="M11.281 2.969V1.875H9.97v1.094H6.03V1.875H4.72v1.094H2.094v10.937h8.531a3.282 3.282 0 0 0 3.281-3.281V2.969h-2.625Zm1.313 7.656a1.969 1.969 0 0 1-1.969 1.969H3.406V4.28H4.72v1.094H6.03V4.281H9.97v1.094h1.312V4.281h1.313v6.344Z"></path><path d="m10.625 8.07-1.969.009V6.1H7.344V8.07H5.375v1.313l1.969-.018v1.986h1.312V9.382h1.969V8.07Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  d("icon-calendar-add")
], s);
export {
  s as IconCalendarAdd
};
